Subject: Re: [patch net-next v3 5/9] genetlink: implement release callback and free sk_user_data there

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Nov 2023 09:08:20 -0800

On Wed, 22 Nov 2023 10:29:44 +0100 Jiri Pirko wrote:
> >If you're doing it centrally, please put the state as a new field in
> >the netlink socket. sk_user_data is for the user.  
> 
> I planned to use sk_user_data. What do you mean it is for the user?
> I see it is already used for similar usecase by connector for example:

I'm pretty sure I complained when it was being added. Long story.
AFAIU user as in if the socket is opened by a kernel module, the kernel
module is the user. There's no need to use this field for the
implementation since the implementation can simply extend its 
own structure to add a properly typed field.